Page MenuHomePhabricator

Create a cronjob/check to run check_private_data data script and report back
Closed, ResolvedPublic

Description

check_private_data.py is a script which reports if there is any database/table/column that is not being filtered correctly.

We spoke sometime ago to schedule the script to be run from time to time and report back if there is any data present that shouldn't be there

Details

Related Gerrit Patches:
operations/puppet : productionReporting tests with the private data script

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptDec 19 2016, 2:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jcrespo updated the task description. (Show Details)Dec 19 2016, 2:49 PM

Change 328352 had a related patch set uploaded (by Marostegui):
[WIP] Reporting tests with the private data script

https://gerrit.wikimedia.org/r/328352

I would like to get this deployed by Monday so we can watch its behaviour during the week - worst case scenario it will just spam myself :)

Marostegui moved this task from Triage to Next on the DBA board.Feb 14 2017, 12:16 PM

Change 328352 merged by Marostegui:
Reporting tests with the private data script

https://gerrit.wikimedia.org/r/328352

I have pushed that change and I have run puppet on labsdb1009 and the change is looking good.
We will see how it works and how many emails I get per night (hopefully none) :-)
Once we are sure it works fine and consistently fine we can see further steps.

Marostegui closed this task as Resolved.Apr 27 2017, 8:55 AM
Marostegui claimed this task.

Going to close this for now as the script is working fine as a first measure. Further steps can be discussed later.